Page MenuHomePhabricator

Add WikimediaMessages entries for docseditor group
Closed, ResolvedPublic

Description

Wikimedia specific groups need entries in WikimediaMessages

	"grouppage-docseditor": "Special:MyLanguage/Contributing",
	"group-docseditor": "Documentation editors",
	"group-docseditor-member": "{{GENDER:$1|documentation editor}}",
	"action-docseditor": "edit documentation",
	"right-docseditor": "Edit documentation",

Event Timeline

Reedy created this task.Jun 2 2020, 9:32 PM
Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptJun 2 2020, 9:32 PM
Reedy added a comment.Jun 2 2020, 10:26 PM

And for consistency...

I think it should be docseditor (or doceditor) - removing the hyphen and the plural at the end of editors; all other group names are singular

Reedy added a comment.Jun 2 2020, 11:18 PM

And if we're gonna use $wgNamespaceProtection, because we need to define a new right...

So therefore we also need a right-docseditor and action-docseditor as per

	"action-templateeditor": "edit protected templates",
	"right-templateeditor": "Edit protected templates",
Reedy renamed this task from Add WikimediaMessages entries for docs-editors group to Add WikimediaMessages entries for docseditor group.Jun 2 2020, 11:25 PM
Reedy added a project: WikimediaMessages.
apaskulin updated the task description. (Show Details)Jun 3 2020, 2:44 PM

Thanks, @Reedy! I've updated the task description with the messages for the new group and new right.

Pppery updated the task description. (Show Details)Jun 3 2020, 2:55 PM

Change 602181 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/WikimediaMessages@master] Add messages for group/right docseditor

https://gerrit.wikimedia.org/r/602181

Change 602181 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@master] Add messages for group/right docseditor

https://gerrit.wikimedia.org/r/602181

Reedy closed this task as Resolved.Jun 4 2020, 8:42 PM
Reedy claimed this task.